/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import React from 'react';
import { BlockModel } from '../../base';
export declare class JSBlockModel extends BlockModel {
    private _mountedOnce;
    get showBlockCard(): boolean;
    renderComponent(): React.ReactNode;
    render(): React.JSX.Element;
    protected onMount(): void;
}
